[android-components](../../index.md) / [mozilla.components.lib.jexl.grammar](../index.md) / [Grammar](./index.md)

# Grammar

`class Grammar` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/jexl/src/main/java/mozilla/components/lib/jexl/grammar/Grammar.kt#L23)

Grammar of the JEXL language.

Note that changes here may require a change in the Lexer or Parser.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Grammar()`<br>Grammar of the JEXL language. |

### Properties

| Name | Summary |
|---|---|
| [elements](elements.md) | `val elements: `[`Map`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-map/index.html)`<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, `[`GrammarElement`](../-grammar-element/index.md)`>` |
